* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Inter", system-ui, sans-serif;
    background: #e4ffe7;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Layout */
.container {
    width: 100%;
    max-width: 480px;
}

/* Card */
.todo-app {
    background: #ffffff;
    border-radius: 12px;
    border: 1px solid #e6e8ec;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.06);
    overflow: hidden;
}

/* Header */
.todo-header {
    padding: 22px;
    border-bottom: 1px solid #0a162d;
    background-color: #202a39;
}

.todo-header h1 {
    font-size: 1.4rem;
    font-weight: 600;
    color: #b5e5ea;
}

.subtitle {
    font-size: 0.85rem;
    color: #939aa9;
}

/* Input */
.todo-input-container {
    display: flex;
    gap: 8px;
    padding: 18px 22px;
}

.todo-input {
    flex: 1;
    padding: 10px 14px;
    font-size: 15px;
    border-radius: 6px;
    border: 1px solid #d1d5db;
}

.todo-input:focus {
    outline: none;
    border-color: #6366f1;
}

/* Button */
.add-btn {
    padding: 10px 16px;
    background: #44d4a9;
    color: white;
    border: none;
    border-radius: 6px;
    font-size: 14px;
    cursor: pointer;
}

.add-btn:hover {
    background: #28815e;
}

/* Filters */
.filter-container {
    display: flex;
    gap: 6px;
    padding: 10px 22px;
    border-top: 1px solid #e6e8ec;
    border-bottom: 1px solid #e6e8ec;
}

.filter-btn {
    padding: 5px 12px;
    font-size: 13px;
    border-radius: 6px;
    border: 1px solid transparent;
    background: transparent;
    color: #6b7280;
    cursor: pointer;
}
.filter-btn:hover{
    background: #f3f3f4;
    color: #827bcd;
    border-color: #d7dae7;

    
}

.filter-btn.active {
    background: #eef2ff;
    color: #4338ca;
    border-color: #c7d2fe;
}

/* List */
.todo-list {
    list-style: none;
    max-height: 320px;
    overflow-y: auto;
}

/* Item */
.todo-item {
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 14px 22px;
    border-bottom: 1px solid #f1f3f6;
}

.todo-item.completed {
    background: #fafafa;
}
.todo-item:hover{
     background: #edfff3;

}

/* Checkbox */
.todo-checkbox {
    width: 16px;
    height: 16px;
}

/* Text */
.todo-text {
    flex: 1;
    font-size: 15px;
    color: #374151;
}

.todo-item.completed .todo-text {
    text-decoration: line-through;
    color: #9ca3af;
}

/* Delete */
.delete-btn {
    background: transparent;
    border: none;
    font-size: 18px;
    color: #9ca3af;
    cursor: pointer;
}

.delete-btn:hover {
    color: #ef4444;
}

/* Footer */
.todo-footer {
    display: flex;
    justify-content: space-between;
    padding: 14px 22px;
    background: #fafafa;
}

.items-left {
    font-size: 13px;
    color: #6b7280;
}

.clear-completed {
    font-size: 13px;
    background: none;
    border: none;
    color: #1443eb;
    cursor: pointer;
}

.clear-completed:hover {
    text-decoration: underline;
}
